## freespace2 24.0.2+repack

=== lib/CMakeLists.txt ===

include(prebuilt.cmake)

ADD_SUBDIRECTORY(libjpeg)

ADD_SUBDIRECTORY(zlib)

ADD_SUBDIRECTORY(libpng)

ADD_SUBDIRECTORY(lua)

include(OpenAL.cmake)

if (FSO_BUILD_WITH_OPENGL)
	add_subdirectory(opengl)
endif()

ADD_SUBDIRECTORY(libsdl)

ADD_SUBDIRECTORY(jansson)
# These are only required for the web-ui which is non-Windows
IF(UNIX)
	ADD_SUBDIRECTORY(mongoose)
ENDIF(UNIX)

add_subdirectory(md5)

add_subdirectory(utfcpp)

include(freetype.cmake)

if (FSO_BUILD_WITH_FFMPEG)
	include(FFmpeg.cmake)
endif()

add_subdirectory(discord)

include(libRocket.cmake)

add_subdirectory(libpcp)

include(antlr4.cmake)

include(vulkan.cmake)

add_subdirectory(mdns)

add_subdirectory(variant)

add_subdirectory(any)

add_subdirectory(accidental-noise)

add_subdirectory(optional)

ADD_SUBDIRECTORY(lz4)

set(HIDAPI_WITH_LIBUSB OFF)
set(HIDAPI_WITH_HIDRAW ON)
add_subdirectory(hidapi)

ADD_SUBDIRECTORY(imgui)

if(NOT APPLE)
	add_subdirectory(openxr)
endif()

=== qtfred/CMakeLists.txt ===
# largely inspired from http://doc.qt.io/qt-5/cmake-manual.html
# Find includes in corresponding build directories

# Find the QtWidgets library

SET(QT5_INSTALL_ROOT "" CACHE PATH
"The path to the Qt5 installation root. May be necessary on windows if the standard find_package fails to find the Qt installation.")

list(APPEND CMAKE_PREFIX_PATH "${QT5_INSTALL_ROOT}")

find_package(Qt5 COMPONENTS Widgets OpenGL REQUIRED)

include(source_groups.cmake)

# When building qtFRED we need to install the runtime libraries since the Qt DLLs need them
INCLUDE(InstallRequiredSystemLibraries)

qt5_wrap_ui(QTFRED_UI_GENERATED ${files_UI})

source_group("UI\\Generated"            FILES ${QTFRED_UI_GENERATED})

add_executable(qtfred ${EXE_GUI_TYPE}
    ${source_files}
    ${QTFRED_UI_GENERATED}
)
set_target_properties(qtfred PROPERTIES
        AUTORCC TRUE
        AUTOMOC TRUE)

set_target_properties(qtfred PROPERTIES OUTPUT_NAME "qtfred_${FSO_BINARY_SUFFIX}")

target_compile_definitions(qtfred PRIVATE "$<$<CXX_COMPILER_ID:MSVC>:PDB_DEBUGGING=1>")

# Undefine emit since it conflicts with our code
target_compile_definitions(qtfred PRIVATE QT_NO_EMIT)

# Define the deprecated attribute so that usage of such functions causes a warning
target_compile_definitions(qtfred PRIVATE QT_DEPRECATED_WARNINGS)

target_compile_definitions(qtfred PUBLIC USING_THIRD_PARTY_LIBS FRED)

target_include_directories(qtfred PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
)

if(WIN32)
    # We handle the main method ourself since the prebuilt version conflicts with our setup
    set_property(TARGET qtfred PROPERTY QT5_NO_LINK_QTMAIN ON)
endif()

set(CMAKE_MAP_IMPORTED_CONFIG_FASTDEBUG Release Debug)

target_link_libraries(qtfred
    PUBLIC
    code
    Qt5::Widgets Qt5::OpenGL)

include(CreateLaunchers)
create_target_launcher(qtfred
    WORKING_DIRECTORY ${FSO_FREESPACE_PATH}
    ARGS ${FSO_RUN_ARGUMENTS})

INSTALL(
    TARGETS qtfred
    RUNTIME DESTINATION ${BINARY_DESTINATION}
    COMPONENT "qtFRED"
    BUNDLE DESTINATION ${BINARY_DESTINATION}
    COMPONENT "qtFRED"
)
COPY_FILES_TO_TARGET(qtfred)

enable_clang_tidy(qtfred)

if (WIN32)
    set(additional_dlls
    )

    include(util)
    list_target_dependencies(qtfred qtfred_deps)

    get_target_property (QT_QMAKE_EXECUTABLE Qt5::qmake IMPORTED_LOCATION)
    execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_BINS OUTPUT_VARIABLE QT_INSTALL_BINS OUTPUT_STRIP_TRAILING_WHITESPACE)

    set(file_paths)
    foreach(dep ${qtfred_deps})
        if ("${dep}" MATCHES "(^|;)Qt5::[A-Za-z0-9_]")
            set(file_paths ${file_paths} "$<TARGET_FILE:${dep}>")
        endif ("${dep}" MATCHES "(^|;)Qt5::[A-Za-z0-9_]")
    endforeach(dep)

    foreach(dll ${additional_dlls})
        set(file_paths ${file_paths} "${QT_INSTALL_BINS}/${dll}")
    endforeach(dll)

    foreach(path ${file_paths})
        add_custom_command(TARGET qtfred
            POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy_if_different "${path}" "$<TARGET_FILE_DIR:qtfred>"
        VERBATIM)
    endforeach(path)

    install(FILES ${file_paths}
        DESTINATION ${BINARY_DESTINATION}
        COMPONENT "qtFRED"
    )

    # Windows requires that the qwindows DLL is copied as well
    execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_INSTALL_PLUGINS OUTPUT_VARIABLE QT_INSTALL_PLUGINS OUTPUT_STRIP_TRAILING_WHITESPACE)
    set(qwindows_path "${QT_INSTALL_PLUGINS}/platforms/qwindows$<$<CONFIG:Debug>:d>.dll")

    add_custom_command(TARGET qtfred
        POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different "${qwindows_path}" "$<TARGET_FILE_DIR:qtfred>/platforms/qwindows$<$<CONFIG:Debug>:d>.dll"
    VERBATIM)

    install(FILES ${qwindows_path}
        DESTINATION ${BINARY_DESTINATION}/platforms
        COMPONENT "qtFRED"
    )
elseif(FSO_BUILD_APPIMAGE)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/AppRun.in" "${CMAKE_CURRENT_BINARY_DIR}/AppRun.gen" @ONLY)
    file(GENERATE OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AppRun-$<CONFIG>"
            INPUT "${CMAKE_CURRENT_BINARY_DIR}/AppRun.gen")

    install(PROGRAMS "${CMAKE_CURRENT_BINARY_DIR}/AppRun-$<CONFIG>" DESTINATION "." RENAME "AppRun"
            COMPONENT "qtFRED")

    configure_file("${CMAKE_CURRENT_LIST_DIR}/cmake/AppImage.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/AppImage.desktop.gen" @ONLY)
    file(GENERATE OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/AppImage-$<CONFIG>.desktop"
            INPUT "${CMAKE_CURRENT_BINARY_DIR}/AppImage.desktop.gen")

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AppImage-$<CONFIG>.desktop" DESTINATION "." RENAME "qtfred.desktop"
            COMPONENT "qtFRED")

    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/resources/fred_icon.png" DESTINATION "."
            COMPONENT "qtFRED")
endif()

if (FSO_INSTALL_DEBUG_FILES)
    if (MSVC)
        install(FILES "$<TARGET_PDB_FILE:qtfred>"
                DESTINATION ${BINARY_DESTINATION}
                OPTIONAL)
    endif()
endif()

=== wxfred2/CMakeLists.txt ===

include(source_groups.cmake)

SET(PNG_OUT_FILES)
FOREACH(file ${file_root_res_pngs})
	FILE(RELATIVE_PATH FILE_NAME ${CMAKE_CURRENT_SOURCE_DIR} ${file})
	
	SET(OUTPUT "${GENERATED_SOURCE_DIR}/wxfred2/${FILE_NAME}")

	# For some reason this is needed...
	GET_FILENAME_COMPONENT(DIRECTORY_PATH ${OUTPUT} PATH)
	FILE(MAKE_DIRECTORY ${DIRECTORY_PATH})

	get_filename_component(FILENAME ${file} NAME)

	STRING(REPLACE "-" "_" FILENAME ${FILENAME})
	STRING(REPLACE "." "_" FILENAME ${FILENAME})
	STRING(REPLACE "#" "_" FILENAME ${FILENAME})
	
	ADD_CUSTOM_COMMAND(
		OUTPUT ${OUTPUT}.cpp
		COMMAND embedfile -wx "${file}" "${OUTPUT}" "${FILENAME}"
		DEPENDS ${file}
		COMMENT "Generating png header for ${file}"
		)
	
	LIST(APPEND PNG_OUT_FILES ${OUTPUT}.cpp)
ENDFOREACH(file ${file_root_res_pngs})

SOURCE_GROUP("Generated Files\\PNG Files" FILES ${PNG_OUT_FILES})

IF(UNIX)
	SET(wxWidgets_USE_DEBUG OFF)
	SET(wxWidgets_USE_UNICODE ON)
	SET(wxWidgets_USE_UNIVERSAL OFF)
	SET(wxWidgets_USE_STATIC OFF)
ELSEIF(WIN32)
	set(wxWidgets_CONFIGURATION "mswu" CACHE STRING "Release WxWidgets configuration" FORCE)
ENDIF(UNIX)

find_package(wxWidgets COMPONENTS gl core base REQUIRED)

include(${wxWidgets_USE_FILE})

add_executable(wxfred2 ${EXE_GUI_TYPE} ${file_root} ${PNG_OUT_FILES})

set_target_properties(wxfred2
	PROPERTIES
	COMPILE_DEFINITIONS_RELEASE "NDEBUG"
	COMPILE_DEFINITIONS_DEBUG "_DEBUG"
	DEBUG_POSTFIX "-DEBUG"
)

SET_TARGET_PROPERTIES(wxfred2 PROPERTIES OUTPUT_NAME "wxfred2_${FSO_BINARY_SUFFIX}")

add_definitions(
	-DFRED
)

INCLUDE_DIRECTORIES(${CODE_HEADERS})
INCLUDE_DIRECTORIES(${WXFRED_HEADERS})
INCLUDE_DIRECTORIES(${wxWidgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GENERATED_SOURCE_DIR})
INCLUDE_DIRECTORIES(${GENERATED_SOURCE_DIR}/wxfred2)
INCLUDE_DIRECTORIES(${GENERATED_SOURCE_DIR}/code)

INCLUDE_DIRECTORIES(${COMPILER_INCLUDES})
INCLUDE_DIRECTORIES(${PLATFORM_INCLUDES})

TARGET_LINK_LIBRARIES(wxfred2 ${wxWidgets_LIBRARIES})
TARGET_LINK_LIBRARIES(wxfred2 ${SDL_LIBS})

if(UNIX)
	add_definitions(
		-DSCP_UNIX
		-DLUA_USE_LINUX
		-std=c++11
	)
elseif(MSVC)
	IF(NOT MSVC_USE_RUNTIME_DLL)
		STRING(REGEX REPLACE "/MT" "/MD" CMAKE_C_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE})
		STRING(REGEX REPLACE "/MT" "/MD" CMAKE_CXX_FLAGS_RELEASE ${CMAKE_CXX_FLAGS_RELEASE})
		
		STRING(REGEX REPLACE "/MT" "/MD" CMAKE_C_FLAGS_DEBUG ${CMAKE_C_FLAGS_DEBUG})
		STRING(REGEX REPLACE "/MT" "/MD" CMAKE_CXX_FLAGS_DEBUG ${CMAKE_CXX_FLAGS_DEBUG})
	ENDIF(NOT MSVC_USE_RUNTIME_DLL)


	add_definitions(
		/DWINVER=0x0501
		/D_WIN32_WINNT=0x0501
		/D_WINDOWS
		/DWIN32
	)
	
	TARGET_LINK_LIBRARIES(wxfred2
		odbc32.lib
		odbccp32.lib
		comctl32.lib
		rpcrt4.lib
		ws2_32.lib
		winmm.lib
	)
	
	set_target_properties(wxfred2 PROPERTIES
		COMPILE_DEFINITIONS_DEBUG "PDB_DEBUGGING=1"
	)
endif(UNIX)

# Add install script to copy the executable to the FreeSpace path if possible and wanted
INSTALL(
	TARGETS wxfred2
	RUNTIME DESTINATION ${BINARY_DESTINATION}
	BUNDLE DESTINATION ${BINARY_DESTINATION}
)
if (FSO_INSTALL_DEBUG_FILES)
	if (MSVC)
		install(FILES "$<TARGET_PDB_FILE:wxfred2>"
				DESTINATION ${BINARY_DESTINATION}
				OPTIONAL)
	endif()
endif()

INCLUDE(util)
COPY_FILES_TO_TARGET(wxfred2)

include(CreateLaunchers)
create_target_launcher(wxfred2
	WORKING_DIRECTORY ${FSO_FREESPACE_PATH}
	ARGS ${FSO_RUN_ARGUMENTS})

=== ci/post/requirements.txt ===
Mako==1.2.2
requests==2.31.0
semantic-version==2.8.5

=== lib/optional/CMakeLists.txt ===

add_library(optional INTERFACE)

target_include_directories(optional SYSTEM INTERFACE "${CMAKE_CURRENT_SOURCE_DIR}/include")

=== nested_targets/OpenHaptics/CMakeLists.txt ===
# - Build the OpenHaptics utility libraries as a part of your solution.
#
# Original Author:
# 2009-2010 Ryan Pavlik <rpavlik@iastate.edu> <abiryan@ryand.net>
# http://academic.cleardefinition.com
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright Iowa State University 2009-2010.
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file ../../LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

if(WIN32)
	# Work around bug in library at least <= 3.10
	add_definitions(-DWIN32)
endif()
include_directories("${HDAPI_HDU_INCLUDE_DIR}"
	"${HDAPI_INCLUDE_DIR}"
	"${HLAPI_HLU_INCLUDE_DIR}"
	"${HLAPI_INCLUDE_DIR}")

if(HDAPI_HDU_LIBRARY STREQUAL "openhaptics_hdu_nested_target")
	add_library(openhaptics_hdu_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduBoundBox.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduError.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduGenericMatrix.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hdu.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduHapticDevice.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduLine.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduLineSegment.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduMath.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduMatrix.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduPlane.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduQuaternion.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduRecord.h"
		"${HDAPI_HDU_INCLUDE_DIR}/HDU/hduVector.h"
		"${HDAPI_HDU_SOURCE_DIR}/hdu.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduAfx.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduAfx.h"
		"${HDAPI_HDU_SOURCE_DIR}/hduDecompose.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduDecompose.h"
		"${HDAPI_HDU_SOURCE_DIR}/hduError.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduHapticDevice.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduLine.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduLineSegment.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduMatrix.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduPlane.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduQuaternion.cpp"
		"${HDAPI_HDU_SOURCE_DIR}/hduRecord.cpp")
	target_link_libraries(openhaptics_hdu_nested_target ${HDAPI_LIBRARY})
	set_property(TARGET
		openhaptics_hdu_nested_target
		PROPERTY
		PROJECT_LABEL
		"OpenHaptics HDU Library")

	if(MSVC)
		# Disable warnings - no sense in warning about Sensable's potential bugs.
		set_property(TARGET
			openhaptics_hdu_nested_target
			PROPERTY
			COMPILE_FLAGS
			"/wd4189 /wd4701")
	endif()
endif()


if(HLAPI_HLU_LIBRARY STREQUAL "openhaptics_hlu_nested_target")
	add_library(openhaptics_hlu_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${HLAPI_HLU_INCLUDE_DIR}/HLU/hlu.h"
		"${HLAPI_HLU_SOURCE_DIR}/hlu.cpp"
		"${HLAPI_HLU_SOURCE_DIR}/hluAfx.cpp"
		"${HLAPI_HLU_SOURCE_DIR}/hluAfx.h")
	target_link_libraries(openhaptics_hlu_nested_target ${HLAPI_LIBRARY} ${HDAPI_LIBRARY})

	set_property(TARGET
		openhaptics_hlu_nested_target
		PROPERTY
		PROJECT_LABEL
		"OpenHaptics HLU Library")

	if(MSVC)
		# Disable warnings - no sense in warning about Sensable's potential bugs.
		set_property(TARGET
			openhaptics_hlu_nested_target
			APPEND
			PROPERTY
			COMPILE_FLAGS
			/wd4189)
	endif()
endif()

=== nested_targets/Parasolid/CMakeLists.txt ===
# - Build the Parasolid utility libraries as a part of your solution.
#
# Original Author:
# 2009-2010 Ryan Pavlik <rpavlik@iastate.edu> <abiryan@ryand.net>
# http://academic.cleardefinition.com
# Iowa State University HCI Graduate Program/VRAC
#
# Copyright Iowa State University 2009-2010.
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file ../../LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)


if(PARASOLID_fg_LIBRARY STREQUAL "parasolid_fg_nested_target")
	get_filename_component(_fgdir "${PARASOLID_FG_C}" PATH)
	include_directories("${_fgdir}")
	add_library(parasolid_fg_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${PARASOLID_FG_C}")

	set_property(TARGET
		parasolid_fg_nested_target
		PROPERTY
		COMPILE_DEFINITIONS
		_CRT_SECURE_NO_DEPRECATE)
	if(MSVC)
		set_property(TARGET
			parasolid_fg_nested_target
			PROPERTY
			COMPILE_FLAGS
			"/Gs /GF /GS- /fp:fast")
	endif()

	set_property(TARGET
		parasolid_fg_nested_target
		PROPERTY
		PROJECT_LABEL
		"Parasolid Foreign Geometry Example Library")

endif()


if(PARASOLID_frustrum_LIBRARY
	STREQUAL
	"parasolid_frustrum_nested_target")
	get_filename_component(_frustrumdir "${PARASOLID_FRUSTRUM_C}" PATH)
	include_directories("${_frustrumdir}")
	add_library(parasolid_frustrum_nested_target
		STATIC
		EXCLUDE_FROM_ALL
		"${PARASOLID_FRUSTRUM_C}")

	set_property(TARGET
		parasolid_frustrum_nested_target
		PROPERTY
		COMPILE_DEFINITIONS
		_CRT_SECURE_NO_DEPRECATE)
	if(MSVC)
		set_property(TARGET
			parasolid_frustrum_nested_target
			PROPERTY
			COMPILE_FLAGS
			"/Gs /GF /GS- /fp:fast")
	endif()

	set_property(TARGET
		parasolid_frustrum_nested_target
		PROPERTY
		PROJECT_LABEL
		"Parasolid Frustrum Example Library")

endif()

## freespace2 3.6.18+repack

=== debian/changelog ===
freespace2 (3.6.18+repack-1) unstable; urgency=low

  * Initial release (Closes: #709137).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 May 2013 15:19:37 +1000

=== debian/control ===
Source: freespace2
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
              ,antiword
              ,libjpeg-dev
              ,liblua5.1-0-dev
              ,libopenal-dev
              ,libpng-dev
              ,libsdl-dev
              ,libtheora-dev
              ,libvorbis-dev
              ,zlib1g-dev
# subversion is used in get-orig-source target only
# ,subversion ,subversion-tools
Standards-Version: 3.9.4
Homepage: http://scp.indiegames.us/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2.git
Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2.git

Package: freespace2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: freespace2-launcher
#           ,freespace2-mod-mediavps
#           ,freespace2-data-gog | freespace2-data-volition
Suggests: joystick
#        ,freespace2-video
Description: open source implementation of the Freespace 2 game engine
 FreeSpace is a series of space combat simulation games developed
 by Volition, Inc. and published by Interplay Entertainment.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 Original game files from CD are needed to play this game.

#Package: freespace2-docs
#Architecture: all
#Depends: ${misc:Depends}, libjs-jquery
#Recommends: yelp
#Suggests: www-browser
#Section: doc
#Description: open source implementation of the Freespace 2 game engine -- Documentation for developers
# FreeSpace is a series of space combat simulation games developed
# by Volition, Inc. and published by Interplay Entertainment.
# The games take place in the 24th century. Mankind, referred to as
# Terrans, has developed means for space traveling, further fueled
# by the discovery of subspace which makes interstellar travel not
# only possible but also fast and easy. As a result the Terrans have
# expanded their territory, eventually encountering another bipedal,
# sentient species; the Vasudans. However, due to cultural differences
# and difficulties in communicating with each other, the Galactic Terran
# Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
# a war that lasts for 14 years.
# .
# This package provides documentation for developers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPATH = $(abspath $(dir $(MAKEFILE_LIST)))
PKG := $(word 2,$(shell dpkg-parsechangelog -l$(DPATH)/changelog | grep ^Source))
VER ?= $(word 2,$(shell dpkg-parsechangelog -l$(DPATH)/changelog | grep ^Version | perl -pe 's/(?:\+\w+)?-[0-9.]+\Z//'))
#VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
$(info VER=$(VER))

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
	ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
		export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
	endif
endif
$(info DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

#LDFLAGS+= -Wl,--as-needed
CONF_O=--bindir=/usr/games

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	#[ ! -x "./autogen.sh" ] || ./autogen.sh
	dh_autoreconf -v --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_O)

override_dh_auto_build:
	dh_auto_build --parallel
	## building developer's documentation
	#doxygen fs2open.Doxyfile

override_dh_auto_install:
	dh_auto_install --parallel
	# --destdir=$(CURDIR)/debian/tmp
	## building DEBUG executable
	dh_auto_clean
	dh_auto_configure -- $(CONF_O) --enable-debug
	dh_auto_install --parallel

override_dh_link:
	dh_link \
            /usr/games/fs2_open_$(VER)         /usr/games/fs2_open \
            /usr/games/fs2_open_$(VER)_DEBUG   /usr/games/fs2_open_DEBUG \
            /usr/games/fs2_open                /usr/share/games/freespace2-open/fs2_open \
            /usr/games/fs2_open_DEBUG          /usr/share/games/freespace2-open/fs2_open_DEBUG \
            /usr/games/fs2_open_$(VER)         /usr/share/games/freespace2-open/fs2_open_$(VER) \
            /usr/games/fs2_open_$(VER)_DEBUG   /usr/share/games/freespace2-open/fs2_open_$(VER)_DEBUG \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_DEBUG.6.gz \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_$(VER).6.gz \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_$(VER)_DEBUG.6.gz

override_dh_builddeb:
	dh_builddeb -- -Zxz

DTYPE := +repack
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@#svn checkout -r {$$(echo $(VER) | perl -ne 'print $$1 if m/\+svn(\d+)/')} \
	@#    svn://svn.icculus.org/fs2open/branches/fs2_open_3_6_18 $(PKG)-$(VER) \
	@#|| $(RM) -r $(PKG)-$(VER)
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
        && antiword FS2OpenSCPReadMe.doc > README \
        && find . -depth -name ".svn" -exec $(RM) -r '{}' \; \
        && $(RM) -r -v \
            libjpeg \
            libpng \
            lua \
            oggvorbis \
            openal \
            projects \
            speech \
            zlib \
            code/directx \
            code/mm \
            code/globalincs/msvc \
            */*/*.exe \
            code/io/sw* \
            code/graphics/gl/Gl.h \
            code/graphics/gl/GLU.H \
            code/graphics/gl/GLAUX.H \
            code/osapi/monopub.h \
            code/fred2/hlp/afxhelp.hm \
            FS2OpenSCPReadMe.doc
	@echo "# Packing..."
	XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
        && $(RM) -r "$(PKG)-$(VER)"

## freespace2 3.7.0%2Brepack

=== debian/packages/freespace2-mod-mediavps/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
    endif
endif
$(info DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

PKD = $(abspath $(dir $(MAKEFILE_LIST)))
PKG = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))

%:
	dh $@ --parallel --max-parallel=3

override_dh_auto_configure:
	@echo "## checking integrity..."
	sha1sum --strict --check debian/files_sha1.txt

DD=$(CURDIR)/debian/$(PKG)/usr/share/games/freespace2-open/mediavps_3612
override_dh_auto_install:
	[ -d "$(DD)" ] || mkdir -v -p "$(DD)"
	for F in *.zip; do unzip -j "$$F" -d "$(DD)" ;done

override_dh_builddeb:
	dh_builddeb -- -Zxz -z4

get-orig-source:
	sha1sum --strict --check debian/files_sha1.txt \
	|| wget --tries=3 --timeout=60 --read-timeout=60 --continue --timestamping \
            --recursive --level=0 --convert-links --relative --no-directories \
            --accept=.zip "http://www.mvp.fsmods.net/3612/"
	@echo "## generating checksums..."
	sha1sum --binary *.zip *.7z | tee debian/files_sha1.txt~NEW
	diff -U0 debian/files_sha1.txt debian/files_sha1.txt~NEW \
        && $(RM) debian/files_sha1.txt~NEW

# see http://www.hard-light.net/forums/index.php?topic=70736.0
# MV_Maximum_3612.7z contains
#			MediaVPs_3612.zip
#			MV_Advanced_3612.zip
#			MV_AnimGlows_3612.zip
#			MV_Assets_3612.zip
#			MV_Effects_3612.zip
#			MV_Music_3612.zip
#			MV_Root_3612.zip

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
 
 #LDFLAGS+= -Wl,--as-needed
-CONF_O=--bindir=/usr/games
+CONF_O=--bindir=/usr/games --disable-silent-rules --enable-speech
 
 %:
 	dh $@ --parallel --with autoreconf

## freespace2 3.7.0+repack

=== debian/changelog ===
freespace2 (3.7.0+repack-1) unstable; urgency=low

  * New upstream release.
  * Verbose build using "--disable-silent-rules"
  * New build option: "--enable-speech".
  * Removed word "source" from description, thanks Simon McVittie.
  * Added "vrms" and "dpkg-dev" to Suggests.
  * Added source package templates for game data packages
    + build instructions to "README.Debian".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Sep 2013 11:48:58 +1000

=== debian/packages/freespace2-mod-fsport/debian/changelog ===
freespace2-mod-fsport (3.4-1) unstable; urgency=low

  * New upstream release [April 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 May 2013 04:46:52 +1000

freespace2-mod-fsport (3.3-1) unstable; urgency=low

  * New upstream release [June 2011].

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,9 @@
 #           ,freespace2-mod-mediavps
 #           ,freespace2-data-gog | freespace2-data-volition
 Suggests: joystick
-#        ,freespace2-video
-Description: open source implementation of the Freespace 2 game engine
+         ,vrms
+         ,dpkg-dev
+Description: open implementation of the Freespace 2 game engine
  FreeSpace is a series of space combat simulation games developed
  by Volition, Inc. and published by Interplay Entertainment.
  The games take place in the 24th century. Mankind, referred to as
@@ -48,7 +49,7 @@
 #Recommends: yelp
 #Suggests: www-browser
 #Section: doc
-#Description: open source implementation of the Freespace 2 game engine -- Documentation for developers
+#Description: open implementation of the Freespace 2 game engine -- Documentation for developers
 # FreeSpace is a series of space combat simulation games developed
 # by Volition, Inc. and published by Interplay Entertainment.
 # The games take place in the 24th century. Mankind, referred to as

=== debian/packages/freespace2-data-gog/debian/control ===
Source: freespace2-data-gog
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,innoextract (>= 1.3)
Standards-Version: 3.9.4
Homepage: http://www.gog.com/gamecard/freespace_2

Package: freespace2-data-gog
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2
Suggests: freespace2-video
         ,vrms
Breaks: freespace2-data-volition
Replaces: freespace2-data-volition
Description: FreeSpace2 - original media files by Volition Inc
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 This package provides original game data files from CD that are needed
 to play this game.

## freespace2 3.7.2%2Brepack

=== debian/packages/freespace2-data-gog/debian/watch ===
# uscan(1)
## You need to get *.vp files from original FreeSpace2 CDs.

version=3

## freespace2 3.7.2+repack

=== debian/changelog ===
freespace2 (3.7.2+repack-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:06:10 +0000

freespace2 (3.7.2+repack-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Build-Depends: += "libjansson-dev".
  * Dropped obsolete patches.
  * get-orig-source: drop "jansson" and "STLport-5.2.1" from orig.tar.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Apr 2015 18:45:06 +1000

freespace2 (3.7.0+repack-2) unstable; urgency=medium

  * Re-build with "libjpeg-turbo" (Closes: #766205).
  * New "automake-subdir-objects.patch" to fix build-time warnings.
  * New "build.patch" to fix FTBFS on amd64.
  * Standards-Version: 3.9.6

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Oct 2014 09:20:04 +1100

=== debian/packages/freespace2-data-gog/debian/changelog ===
freespace2-data-gog (1999-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100

=== debian/packages/freespace2-mod-mediavps/debian/changelog ===
freespace2-mod-mediavps (3.6.12+upd201012-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf
               ,antiword
+              ,libjansson-dev
               ,libjpeg-dev
               ,liblua5.1-0-dev
               ,libopenal-dev
@@ -14,7 +15,7 @@
               ,zlib1g-dev
 # subversion is used in get-orig-source target only
 # ,subversion ,subversion-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://scp.indiegames.us/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2.git
 Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2.git

=== debian/packages/freespace2-data-volition/debian/control ===
Source: freespace2-data-volition
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://www.gog.com/gamecard/freespace_2

Package: freespace2-data-volition
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2
Suggests: freespace2-video
         ,vrms
Breaks: freespace2-data-gog
Replaces: freespace2-data-gog
Description: FreeSpace2 - original media files by Volition Inc
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.
 .
 This package provides original game data files from CD that are needed
 to play this game.

=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,8 @@
             projects \
             speech \
             zlib \
+            jansson \
+            STLport-5.2.1 \
             code/directx \
             code/mm \
             code/globalincs/msvc \

=== debian/packages/freespace2-mod-mediavps/debian/watch ===
# uscan(1)

# this file is for update checking only.
# use "debian/rules get-orig-source" to get upstream archives.

version=3

opts=\
uversionmangle=s/(\d)(\d)(\d+)/$1.$2.$3/,\
dversionmangle=s/\+upd\d+//,\
 http://www.hard-light.net/forums/index.php?topic=70736.0 .*/MediaVPs_(\d+)\.zip

## freespace2 3.7.4%2Brepack

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: freespace2
 Section: non-free/games
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-              ,antiword
-              ,libjansson-dev
-              ,libjpeg-dev
-              ,liblua5.1-0-dev
-              ,libopenal-dev
-              ,libpng-dev
-              ,libsdl-dev
-              ,libtheora-dev
-              ,libvorbis-dev
-              ,zlib1g-dev
-# subversion is used in get-orig-source target only
-# ,subversion ,subversion-tools
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 11~)
+    ,antiword
+    ,libjansson-dev
+    ,libjpeg-dev
+    ,liblua5.1-0-dev
+    ,libopenal-dev
+    ,libpng-dev
+    ,libsdl-dev
+    ,libtheora-dev
+    ,libvorbis-dev
+    ,zlib1g-dev
 Homepage: http://scp.indiegames.us/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onlyjob/freespace2.git
-Vcs-Git: git://anonscm.debian.org/users/onlyjob/freespace2.git
+Vcs-Browser: https://salsa.debian.org/onlyjob/freespace2
+Vcs-Git: https://salsa.debian.org/onlyjob/freespace2.git
 
 Package: freespace2
 Architecture: any

=== debian/packages/freespace2-mod-mediavps/debian/control ===
Source: freespace2-mod-mediavps
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,diffutils
              ,dpkg-dev
              ,unzip
              ,wget
Standards-Version: 3.9.8
Homepage: http://scp.indiegames.us/bnr_mediavp.php

Package: freespace2-mod-mediavps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2, freespace2-video
Suggests: vrms
Enhances: freespace2
Description: FreeSpace 2 - high resolution Media VPs
 The MediaVPs are a set of VP (container) files that add new art and
 effects to the FS2_Open engine. The MediaVPs contain all of the
 enhanced artwork and graphics that take advantage of the new
 capabilities of the FS2Open. These enhancements will apply to the
 original FreeSpace 2 campaign, or any campaigns based on it.
 .
 Note that these are not a replacement for the retail Freespace 2 VP files.
 .
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.

## freespace2 3.7.4+repack

=== debian/changelog ===
freespace2 (3.7.4+repack-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -march=native usage. (Closes: #946308)

 -- Adrian Bunk <bunk@debian.org>  Tue, 16 Jun 2020 16:22:34 +0300

freespace2 (3.7.4+repack-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * rules:
    + corrected version parsing to fix binNMUs (Closes: #832128).
    - removed calls to `dpkg-parsechangelog`.
    - removed "get-orig-source" target.
  * watch:
    + converted to version 4.
    + catch-all source releases from GitHub.
    - commented "scp.fsmods.net" which is currently offline.
  * README.Debian: mentioned "freespace2-launcher-wxlauncher".
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.5.
  * Added "bug-presubj" file.
  * Vcs URLs to Salsa.

  * freespace2-data-gog:
    + Verify extracted files, not the archive (Closes: #743067).

  * freespace2-mod-mediavps:
    + updated to v2014; updated download URL.

  * freespace2-mod-fsport:
    + new release 3.5; updated download URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Jul 2018 18:57:59 +1000

=== debian/packages/freespace2-data-volition/debian/changelog ===
freespace2-data-volition (1999-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100

=== debian/packages/freespace2-mod-fsport/debian/changelog ===
freespace2-mod-fsport (3.5-1) UNRELEASED; urgency=medium

  * New upstream release [February 2015].
  * Download URL updated for new mirror.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 07:18:51 +1000

=== debian/packages/freespace2-mod-mediavps/debian/changelog ===
freespace2-mod-mediavps (3.6.12+upd201401-2) UNRELEASED; urgency=medium

  * rules: update download URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Jul 2018 14:39:35 +1000

freespace2-mod-mediavps (3.6.12+upd201401-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 08 Aug 2016 01:33:18 +1000

=== debian/packages/freespace2-video/debian/changelog ===
freespace2-video (1999-1) unstable; urgency=low

  * Initial release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 27 Dec 2012 00:45:25 +1100

=== debian/packages/freespace2-mod-mediavps/debian/rules ===
--- 
+++ 
@@ -22,30 +22,22 @@
 	@echo "## checking integrity..."
 	sha1sum --strict --check debian/files_sha1.txt
 
-DD=$(CURDIR)/debian/$(PKG)/usr/share/games/freespace2-open/mediavps_3612
+DD=$(CURDIR)/debian/$(PKG)/usr/share/games/freespace2-open/MediaVPs_2014
 override_dh_auto_install:
 	[ -d "$(DD)" ] || mkdir -v -p "$(DD)"
-	for F in *.zip; do unzip -j "$$F" -d "$(DD)" ;done
+#	for F in *.7z; do unzip -j "$$F" -d "$(DD)" ;done
+	for F in *.7z; do 7za e -y -bd -o$(DD)/ "$$F" ;done
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz -z4
 
+# http://www.hard-light.net/forums/index.php?topic=86475.0
 get-orig-source:
 	sha1sum --strict --check debian/files_sha1.txt \
 	|| wget --tries=3 --timeout=60 --read-timeout=60 --continue --timestamping \
             --recursive --level=0 --convert-links --relative --no-directories \
-            --accept=.zip "http://www.mvp.fsmods.net/3612/"
+            --accept=.7z "http://datacorder.porphyrion.feralhosting.com/mvp_files/2014/"
 	@echo "## generating checksums..."
-	sha1sum --binary *.zip *.7z | tee debian/files_sha1.txt~NEW
+	sha1sum --binary *.7z | tee debian/files_sha1.txt~NEW
 	diff -U0 debian/files_sha1.txt debian/files_sha1.txt~NEW \
         && $(RM) debian/files_sha1.txt~NEW
-
-# see http://www.hard-light.net/forums/index.php?topic=70736.0
-# MV_Maximum_3612.7z contains
-#			MediaVPs_3612.zip
-#			MV_Advanced_3612.zip
-#			MV_AnimGlows_3612.zip
-#			MV_Assets_3612.zip
-#			MV_Effects_3612.zip
-#			MV_Music_3612.zip
-#			MV_Root_3612.zip

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

VER  ?= $(shell sh -c 'printf "$${1%%+repack*}"' -- "$(DEB_VERSION_UPSTREAM)")
$(info VER=$(VER))

$(info DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

#LDFLAGS+= -Wl,--as-needed
CONF_O=--bindir=/usr/games --disable-silent-rules --enable-speech --enable-generic-architecture

%:
	dh $@

README:
	antiword FS2OpenSCPReadMe.doc > $@

override_dh_autoreconf: README
	#[ ! -x "./autogen.sh" ] || ./autogen.sh
	dh_autoreconf -v --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_O)

override_dh_auto_build:
	dh_auto_build
	## building developer's documentation
	#doxygen fs2open.Doxyfile

override_dh_auto_install:
	dh_auto_install
	# --destdir=$(CURDIR)/debian/tmp
	## building DEBUG executable
	dh_auto_clean
	dh_auto_configure -- $(CONF_O) --enable-debug
	dh_auto_install

override_dh_link:
	dh_link \
            /usr/games/fs2_open_$(VER)         /usr/games/fs2_open \
            /usr/games/fs2_open_$(VER)_DEBUG   /usr/games/fs2_open_DEBUG \
            /usr/games/fs2_open                /usr/share/games/freespace2-open/fs2_open \
            /usr/games/fs2_open_DEBUG          /usr/share/games/freespace2-open/fs2_open_DEBUG \
            /usr/games/fs2_open_$(VER)         /usr/share/games/freespace2-open/fs2_open_$(VER) \
            /usr/games/fs2_open_$(VER)_DEBUG   /usr/share/games/freespace2-open/fs2_open_$(VER)_DEBUG \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_DEBUG.6.gz \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_$(VER).6.gz \
            /usr/share/man/man6/fs2_open.6.gz  /usr/share/man/man6/fs2_open_$(VER)_DEBUG.6.gz

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+repack,\
dversionmangle=s/\+repack\d*//,\
uversionmangle=s/_RC/~rc/;s/_/./g,\
" https://uscan.tianon.xyz/github.com/scp-fs2open/fs2open.github.com \
  .*/archive/(?:release_|fs2_open_)(\d[\d._RC]+)(?:_final)?\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)


## 3.8.0
#opts="\
#pgpmode=none,\
#mode=git,gitmode=shallow,\
#repack,compression=xz,repacksuffix=+repack,\
#dversionmangle=s/\+repack\d*//,\
#uversionmangle=s/_RC/~rc/;s/_/./g,\
#" https://github.com/scp-fs2open/fs2open.github.com.git \
#  refs/tags/(?:release_|fs2_open_)?(\d[\d\._]+)


#opts="\
#uversionmangle=s/_RC/~rc/;s/_/./g,\
#dversionmangle=s/\+repack//,\
#" http://scp.fsmods.net/builds/fs2_open_([\d._RC]+)_src\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)

## freespace2 24.0.2%2Brepack

=== debian/changelog ===
freespace2 (24.0.2+repack-1) unstable; urgency=medium

  [ Sébastien Noel ]
  * New upstream release.
    + use SDL2 (Closes: #1038352, #1012232).
  * Added upstream metadata.
  * debhelper & compat to version 13
  * d/watch: update to fetch multiple components.
  * Recommends += "freespace2-data | game-data-packager".
  * Added myself as Uploader.

  [ Thiago Jung Bauermann ]
  * Update URL for freespace2-video zip file (Closes: #969737).
  * freespace2-data-gog: updated for new GOG installer (Closes: #969735)

  [ Dmitry Smirnov ]
  * vrms --> check-dfsg-status
  * Corrections to new upstream release packaging.
    + Build with "libopenxr-dev".
  * Moved repository to Debian Games team on Salsa.
  * Updated upstream bug tracker URL in bug-presubj.
  * Updated "freespace2-mod-fsport" packaging.
  * Updated "freespace2-mod-mediavps" data sub-package.
  * watch: modernised for GitHub API; fixed pagination.

  * Thanks to Simon McVittie for help with libSDL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 09 Aug 2024 01:42:09 +1000

=== debian/packages/freespace2-video/debian/control ===
Source: freespace2-video
Section: non-free/games
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9)
              ,diffutils
              ,dpkg-dev
              ,unzip
              ,wget
Standards-Version: 3.9.4
Homepage: http://www.hard-light.net/wiki/index.php/Installing_fs2_open

Package: freespace2-video
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: freespace2
Suggests: check-dfsg-status
Enhances: freespace2
Description: FreeSpace 2 - cutscenes in OGG format
 Original OGG-encoded Freespace 2 cutscenes.
 .
 Note that these are replacement for the retail Freespace 2 videos.
 .
 FreeSpace 2 is a 1999 space combat simulation computer game developed
 by Volition, Inc. as the sequel to Descent: FreeSpace – The Great
 War.
 The games take place in the 24th century. Mankind, referred to as
 Terrans, has developed means for space traveling, further fueled
 by the discovery of subspace which makes interstellar travel not
 only possible but also fast and easy. As a result the Terrans have
 expanded their territory, eventually encountering another bipedal,
 sentient species; the Vasudans. However, due to cultural differences
 and difficulties in communicating with each other, the Galactic Terran
 Alliance (GTA) and the Parliamentary Vasudan Empire (PVE) end up fighting
 a war that lasts for 14 years.

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# https://wiki.debian.org/debian/watch
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
compression=xz,\
repack,repacksuffix=+repack,\
dversionmangle=s{[+~](repack|dfsg)\d*}{},\
uversionmangle=s{_RC}{~rc};s{_}{.}g,\
filenamemangle=s{release_([\d\._]+)}{@PACKAGE@-$1.tar.gz},\
searchmode=plain,\
" https://api.github.com/repos/scp-fs2open/fs2open.github.com/releases?per_page=99 \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?release_([\d._]+) \
  debian uupdate

#opts="\
#pgpmode=none,\
#repack,compression=xz,repacksuffix=+repack,\
#dversionmangle=s/\+repack\d*//,\
#uversionmangle=s/_RC/~rc/;s/_/./g,\
#" https://uscan.tianon.xyz/github.com/scp-fs2open/fs2open.github.com \
#  .*/archive/(?:release_|fs2_open_)(\d[\d._RC]+)(?:_final)?\.(?:tgz|tbz2|tar\.gz|tar\.bz2|tar\.xz)


# librocket
opts="component=librocket, \
      mode=git, \
      pgpmode=none, \
      pretty=%cd.%h, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/asarium/libRocket.git \
heads/master \
ignore

# cmake-modules
opts="component=cmake-modules, \
      mode=git, \
      pgpmode=none, \
      pretty=%cd.%h, \
      repack, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/asarium/cmake-modules.git \
heads/master \
ignore

## freespace2 24.0.2+repack

=== debian/packages/freespace2-data-gog/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9)
               ,innoextract (>= 1.3)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://www.gog.com/gamecard/freespace_2
 
 Package: freespace2-data-gog
@@ -13,7 +13,7 @@
 Depends: ${misc:Depends}
 Recommends: freespace2
 Suggests: freespace2-video
-         ,vrms
+         ,check-dfsg-status
 Breaks: freespace2-data-volition
 Replaces: freespace2-data-volition
 Description: FreeSpace2 - original media files by Volition Inc

=== debian/packages/freespace2-data-gog/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKD = $(abspath $(dir $(MAKEFILE_LIST)))
PKG = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))

# The GOG installer was previously called setup_freespace2_2.0.0.8.exe.
# As of Sept 2020, it is setup_freespace_2_1.20_v2_(33372).exe, along with
# setup_freespace_2_1.20_v2_(33372)-1.bin.
gog_installer = $(wildcard setup_freespace*.exe)

%:
	dh $@

override_dh_auto_clean:
	$(RM) -r app tmp

override_dh_auto_configure:
	innoextract '$(gog_installer)'

move_files_installer_v2:
	mv MANUAL.PDF *.vp ReadMe.txt refcard.pdf data2/ data3/ app/

#DD=$(CURDIR)/debian/$(PKG)/usr/share/games/freespace2-open
#M=/data/movies

# In the case of installer v2, we need to move around some files so that they
# are where files_sha1.txt expects.
ifeq ($(findstring setup_freespace_2_1.20_v2,$(gog_installer)),)
override_dh_auto_build:
else
override_dh_auto_build: move_files_installer_v2
endif
	@echo "## checking integrity..."
	sha1sum --strict --check debian/files_sha1.txt
	#[ -d "$(DD)$(M)" ] || mkdir -v -p "$(DD)$(M)"
	#mv app/data?/*.MVE "$(DD)$(M)"

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	sha1sum --binary app/data2/* app/data3/* app/*.vp app/MANUAL.PDF app/ReadMe.txt app/refcard.pdf | tee debian/files_sha1.txt~NEW

=== debian/packages/freespace2-mod-fsport/debian/watch ===
# uscan(1) configuration file.
# Use "debian/rules get-orig-source"

version=4

## `uscan` do not support 7z archives yet: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=852429
#opts="\
#uversionmangle=s/(\d+)_(\d+)/$1.$2/,\
#" http://datacorder.perses.feralhosting.com/fsport_files/releases/fsport(\d_[0-9_]+)\.(?:7z|@ARCHIVE_EXT@) \
#  debian
